Bug 19601 - [QT3TS] require-schema-aware-4
[QT3TS] require-schema-aware-4
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite
Working drafts
PC Windows NT
: P2 normal
: ---
Assigned To: Ghislain Fourny
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 13:37 UTC by Tim Mills
Modified: 2013-03-20 13:00 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-10-18 13:37:31 UTC
The expected result of this test should be:

      <any-of>
        <!-- supported -->
        <assert-false/>
        <!-- not supported -->
        <error code="XQST0120"/>
      </any-of>

since there is not element declaration in a schema for element 'element'.
Comment 1 Ghislain Fourny 2012-10-18 13:50:22 UTC
My intent while writing the test was actually:

(validate lax { <element
                         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                         xmlns:xs="http://www.w3.org/2001/XMLSchema"
                         xsi:type="xs:integer">42</element> }) instance of element(*, xs:integer)

So I fixed the three tests using this query accordingly.

I think that otherwise a dynamic error XQDY0027 would be thrown, and I designed the test to succeed.
Comment 2 Michael Kay 2012-10-18 13:52:28 UTC
As a general rule, if we expect a test to produce different results depending on what features an implementation supports, we should not simply list all the results in an <any-of> - we should have different versions of the test with different dependencies, giving one expected result for each set of dependencies.
Comment 3 Ghislain Fourny 2012-11-05 14:15:35 UTC
All prohibit/require-feature tests have now been split into supported/non-supported using the dependency tags, following your remark.
Comment 4 Tim Mills 2012-11-05 14:28:40 UTC
Please see Bug 19858.
Comment 5 O'Neil Delpratt 2013-03-20 11:10:01 UTC
I confirm this bug has been fixed
Comment 6 Tim Mills 2013-03-20 13:00:16 UTC
Thanks.